Bug 108931 - LTC5226-Unicode Supplementary Support required
Summary: LTC5226-Unicode Supplementary Support required
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-03 15:03 UTC by IBM Bug Proxy
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 23:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description IBM Bug Proxy 2003-11-03 15:03:03 UTC
The following has be reported by IBM LTC:  
Unicode Supplementary Support required
IBM products are currently required to support Unicode Supplementary 
Characters.  RHEL 3 currently doesn't have this, so we are asking if
it can be 
added in.

This will also be a requirement for RHEL 4.

Comment 1 Jakub Jelinek 2003-11-03 15:31:13 UTC
I think you need to specify exactly what doesn't work for you.
wchar_t is 32-bit on all arches supported by us, various iconv
conversion modules clearly support surrogate characters
(e.g. UTF-16, UTF-8, UTF-7 etc.).
So what exactly do you mean by that support? We don't AFAIK
ship fonts with those characters (but I'm not sure if we even cover
the whole standard plane).

Comment 2 Ulrich Drepper 2003-11-20 17:46:25 UTC
Ping.  We need specifics.  Otherwise I'll close this bug.

Comment 3 IBM Bug Proxy 2003-11-20 23:28:35 UTC
------ Additional Comments From cycheng@ca.ibm.com  2003-20-11 14:49 -------
I suggest closing this bug for the time being. Once we have the specifics, we
can open a new bug to track them. Thanks. 

Comment 4 Ulrich Drepper 2003-11-20 23:34:24 UTC
No information -> no change.


Note You need to log in before you can comment on or make changes to this bug.